<div class="filtersfreetext mat-elevation-z2">
  <h3>free search</h3>
  <div class="text-inputs freetext">
    <mat-form-field>
      <input matInput placeholder="free text" [(ngModel)]="free_text_filter" (keyup)="filterBooksFreeText()">
    </mat-form-field>
  </div>
</div>
<div class="container p-5" >
  <div class="filters">
    <h2>filters</h2>
    <mat-form-field style="width: 100%;">
      <input matInput placeholder="name" [(ngModel)]="name_filter" (keyup)="filterBooks()">
    </mat-form-field>
    <div class="price">
      <mat-form-field style="width: 48%;">
        <input matInput placeholder="min price" [(ngModel)]="min_price_filter" (keyup)="filterBooks()">
      </mat-form-field>
      <mat-form-field style="width: 48%; margin-left: 4%;">
        <input matInput placeholder="max price" [(ngModel)]="max_price_filter" (keyup)="filterBooks()">
      </mat-form-field>
    </div>
    <mat-form-field style="width: 100%;">
      <input matInput placeholder="author" [(ngModel)]="author_filter" (keyup)="filterBooks()">
    </mat-form-field>
    <a *ngIf="logged_in_user && logged_in_user.isAdmin" mat-raised-button color="primary" (click)="CreateBook()">Create new book</a>
  </div>
  <div *ngIf="!filtered_books" class="m-auto">
    <h1 class="text-center display-3 mt-5">
      <i class="fa fa-spinner fa-spin"></i>
    </h1>
  </div>
  <div class="row books">
    <div *ngFor="let book of filtered_books" class="col-md-3 mb-5">
      <a routerLink="/book/{{book._id}}">
        <div style="height: 240px;" class="card bg-light">
          <div style="flex-direction: row;">
            <img src="{{ book.imgUrl }}" alt="book" class="cardimg">
            <div>
              <h3 class="card-title bookname">{{book.name}}</h3>
              <p class="card-text bookauthor">{{book.author}}</p>
            </div>
          </div>
          <div>
            <p class="card-text bookprice">קטגוריה: {{book.category.name}}</p>
            <p class="card-text bookprice">מחיר: ₪{{book.price}}</p>
          </div>
        </div>
      </a>
    </div>
  </div>
</div>